<?php

session_start();

require_once("../../config/Cado.php");

require_once("../cliente/cCliente.php");

$oCliente = new cCliente();



$dts=$oCliente->mostrarUno($_POST['cli_id']);

	$dt = mysqli_fetch_array($dts);

	$tip=$dt['tb_cliente_tip'];

	$nom=$dt['tb_cliente_nom'];

	$doc=$dt['tb_cliente_doc'];

	$con=$dt['tb_cliente_con'];

	$tel=$dt['tb_cliente_tel'];

	$ema=$dt['tb_cliente_ema'];

	mysqli_free_result($dts);



?>









<div class="row">



<div class="modal-header">

	<h4 class="modal-title" id="titlemodal">DIRECCIONES DEL CLIENTE </strong> <strong class="text-red" ><?php echo $nom;?></strong></h4> 

</div>



	<div class="col-lg-12 col-xs-12" style="height:20px;" ></div>

	<?php #if ($_SESSION['usuariogrupo_id']=='6'){

	#}else{	?>

	<div class="col-lg-12 col-xs-6">

		  <button id="btn_agregar" onClick="clientedir_form('insertardireccion','','<?php echo $_POST['cli_id']; ?>')" class="btn btn-primary">Agregar</button>

	</div>

	<?php# }?>

	<div class="col-lg-12 col-xs-12" style="height:20px;" ></div>

 

	<div class="col-lg-12 col-xs-12" id="div_tabla_direcciones"> 

  

  

	</div>



</div>





<div class="modal-footer float-right">	 

	<button type="button" class="btn btn-default pull-left" data-dismiss="modal">Cancelar</button>

</div>





<script type="text/javascript">





cliente_tabladirecciones(<?php echo $_POST['cli_id']; ?>);



function cliente_tabladirecciones(cliid){			

	$.ajax({	

		type: "POST",					

		url: "../cliente/cliente_tabladirecciones.php",

		async:true,

		dataType: "html",                      

		data: ({

			cli_id: cliid

		}),

		beforeSend: function() {

			$('#div_tabla_direcciones').addClass("ui-state-disabled");

    },

		success: function(html){

			$('#div_tabla_direcciones').html(html);

		},

		complete: function(){			

			$('#div_tabla_direcciones').removeClass("ui-state-disabled");

		}

	});        

}







function eliminar_clientedirecciones(clidirid)

{      

	if(confirm("Realmente desea eliminar?")){

		$.ajax({

			type: "POST",

			url: "../cliente/cliente_reg.php",

			async:true,

			dataType: "html",

			data: ({

				action: "eliminardireccion",

				clidir_id:	clidirid

			}),

			beforeSend: function() {

				

			},

			success: function(html){

				toastr["success"](html);

			},

			complete: function(){

				

				cliente_tabladirecciones(<?php echo $_POST['cli_id']; ?>);

			}

		});

	}

}











function clientedir_form(act,idf,cliid){

	$('#div_clientedireccion_form_dialog2').modal();

	$.ajax({

		type: "POST",

		url: "../cliente/clientedir_form.php",

		async:true,

		dataType: "html",                      

		data: ({

			action: act,

			clidir_id:	idf,

			cli_id : cliid,

			vista:	'tabla'

		}),

		beforeSend: function() {

			var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	

			$('.div_clientedireccion_form2').html(div);

        },

		success: function(html){

			$('.div_clientedireccion_form2').html(html);		

		}

	});

}









</script>